/** 
 *******************************************************************************
 * @file    bsp_adc.h
 * @brief   This file provides all the functions prototypes for ADC Driver.
 * @version V1.0.0.2
 * $Date:: 2018-02-15 #$
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2019
 *******************************************************************************
 */
/*------------------------------------------------------------------------------*/
/*  Define to prevent recursive inclusion                                       */
/*------------------------------------------------------------------------------*/

#ifndef __BSP_ADC_H
#define __BSP_ADC_H

#ifdef __cplusplus
extern "C" {
#endif

/*------------------------------------------------------------------------------*/
/*  Includes                                                                    */
/*------------------------------------------------------------------------------*/
#include "txz_adc.h"
/*------------------------------------------------------------------------------*/
/*  Functions                                                                   */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup UTILITIES_Exported_functions
 *  @{
 */

adc_mod1_t adc_get_mode1(adc_t *p_adc);

#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif /* __BSP_ADC_H */
