/**
 *******************************************************************************
 * @file    txz_sample_def.h
 * @brief   This file includes header files for sample application.
 * @version V1.0.0.3
 * $Date:: 2018-09-21 11:28:55 #$
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2019
 *******************************************************************************
 */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __TXZ_SAMPLE_DEF_H
#define __TXZ_SAMPLE_DEF_H

#include "txz_driver_def.h"
#include "txz_hal.h"
#if defined(TMPM4G9)
    #include "txz_cg.h"
    #include "txz_gpio.h"
#else
    #include "txz_cg.h"
    #include "txz_gpio.h"
    #include "txz_dma.h"
#endif
#include "txz_uart.h"
#include "txz_t32a.h"
#endif  /* __TXZ_SAMPLE_DEF_H */
